import 'package:demo_widgets/demo_widgets.dart';
import 'package:flutter/material.dart';

import 'player/player.screen.dart';
import 'pusher/pusher.screen.dart';

class TencentLiveScreen extends StatefulWidget {
  @override
  _TencentLiveScreenState createState() => _TencentLiveScreenState();
}

class _TencentLiveScreenState extends State<TencentLiveScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text('腾讯直播')),
      body: ListView(
        children: <Widget>[
          FunctionGroup(
            headLabel: '推流',
            opened: true,
            children: <Widget>[
              FunctionItem(
                label: '开始预览',
                sublabel: 'PusherScreen',
                target: PusherScreen(),
              ),
            ],
          ),
          FunctionGroup(
            headLabel: '拉流/播放',
            opened: true,
            children: <Widget>[
              FunctionItem(
                label: '播放器',
                sublabel: 'PlayerScreen',
                target: PlayerScreen(),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
